i.landsat.acca(1)

NAME
i.landsat.acca - Performs Landsat TM/ETM+ Automatic Cloud Cover Assessment (ACCA).

KEYWORDS
imagery, ACCA, cloud detection, satellite, Landsat

SYNOPSIS
i.landsat.acca
i.landsat.acca --help
i.landsat.acca [-5fx2s] input=basename output=name [b56composite=float] [b45ratio=float] [histogram=integer] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-5
    Data is Landsat-5 TM
    I.e. Thermal band is ’.6’ not ’.61’)

-f
    Apply post-processing filter to remove small holes

-x
    Always use cloud signature (step 14)

-2
    Bypass second-pass processing, and merge warm (not ambiguous) and cold clouds

-s
    Include a category for cloud shadows

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=basename [required]
    Base name of input raster bands
    Example: ’B.’ for B.1, B.2, ...

output=name [required]
    Name for output raster map

b56composite=float
    B56composite (step 6)
    Default: 225.

b45ratio=float
    B45ratio: Desert detection (step 10)
    Default: 1.

histogram=integer
    Number of classes in the cloud temperature histogram
    Default: 100

DESCRIPTION
i.landsat.acca implements the Automated Cloud-Cover Assessment (ACCA) Algorithm from Irish (2000) with the constant values for pass filter one from Irish et al. (2006). To do this, it needs Landsat band numbers 2, 3, 4, 5, and 6 (or band 61 for Landsat-7 ETM+) which have already been processed from DN into reflectance and band-6 temperature with i.landsat.toar).

The ACCA algorithm gives good results over most of the planet with the exception of ice sheets because ACCA operates on the premise that clouds are colder than the land surface they cover. The algorithm was designed for Landsat-7 ETM+ but because reflectance is used it is also useful for Landsat-4/5 TM.

NOTES
i.landsat.acca works in the current region settings.

EXAMPLES
Run the standard ACCA algorithm with filling of small cloud holes (the -f flag): With per-band reflectance raster maps named 226_62.toar.1, 226_62.toar.2, [...] and LANDSAT-7 thermal band 226_62.toar.61, outputting to a new raster map named 226_62.acca:

i.landsat.toar sensor=7 gain=HHHLHLHHL date=2003-04-07 \
  product_date=2008-11-27 band_prefix=226_62 solar_elevation=49.51654
i.landsat.acca -f band_prefix=226_62.toar output=226_62.acca

REFERENCES

1   Irish R.R., Barker J.L., Goward S.N., and Arvidson T., 2006. Characterization of the Landsat-7 ETM+ Automated Cloud-Cover Assessment (ACCA) Algorithm. Photogrammetric Engineering and Remote Sensing vol. 72(10): 1179-1188.

2   Irish, R.R., 2000. Landsat 7 Automatic Cloud Cover Assessment. In S.S. Shen and M.R. Descour (Eds.): Algorithms for Multispectral, Hyperspectral, and Ultraspectral Imagery VI. Proceedings of SPIE, 4049: 348-355.

SEE ALSO
i.atcorr, i.landsat.toar

AUTHOR
E. Jorge Tizado (ej.tizado unileon es), Dept. Biodiversity and Environmental Management, University of León, Spain

SOURCE CODE

Available at: i.landsat.acca source code (history)

Latest change: Monday Mar 06 18:52:57 2023 in commit: dec1e3f294d44ed249f5e32022e345b8d6581d7a

Main index | Imagery index | Topics index | Keywords index | Graphical index | Full index

© 2003-2024 GRASS Development Team, GRASS GIS 8.3.3dev Reference Manual